# version.hpp File Reference

`#include <boost/preprocessor/cat.hpp>`
`#include <boost/config.hpp>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga-config.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
## Defines
#define | SAGA_VERSION_MAJORMASK 0xFF0000
#define | SAGA_VERSION_MINORMASK 0x00FF00
#define | SAGA_VERSION_SUBMINORMASK 0x0000FF
#define | SAGA_CHECK_VERSION
#define | SAGA_VERSION_API 0x010000
#define | SAGA_VERSION_ISCOMPATIBLE_EX(version)
#define | SAGA_VERSION_ISCOMPATIBLE() SAGA_VERSION_ISCOMPATIBLE_EX(saga::get_engine_version()) \
## Functions
unsigned long | saga::get_engine_version (void)
| Brief description starts here.
unsigned long | saga::get_saga_version (void)
| Brief description starts here.
char const * | check_saga_version ()

## Define Documentation

#define SAGA_VERSION_MAJORMASK 0xFF0000

#define SAGA_VERSION_MINORMASK 0x00FF00

#define SAGA_VERSION_SUBMINORMASK 0x0000FF

#define SAGA_CHECK_VERSION

Value:

    BOOST_PP_CAT(saga_check_version_,                                         \
            BOOST_PP_CAT(SAGA_VERSION_MAJOR,                                      \
                BOOST_PP_CAT(_, SAGA_VERSION_MINOR)))                             \

#define SAGA_VERSION_API 0x010000

Referenced by saga::get_saga_version().

#define SAGA_VERSION_ISCOMPATIBLE_EX | ( | version |  | ) |

Value:

    (((version) & ~SAGA_VERSION_SUBMINORMASK) >=                              \
           (SAGA_VERSION_FULL & ~SAGA_VERSION_SUBMINORMASK))                      \

#define SAGA_VERSION_ISCOMPATIBLE | ( |  | ) | SAGA_VERSION_ISCOMPATIBLE_EX(saga::get_engine_version()) \

## Function Documentation

char const* @216::check_saga_version | ( |  | ) | `[static]`

References saga::SAGA_CHECK_VERSION.